FreeBSD : kde-workspace -- privilege escalation (dafa13a8-6e9b-11e4-8ef7-5453ed2e2b49)

High Nessus Plugin ID 79301


The remote FreeBSD host is missing a security-related update.


David Edmundson reports :

KDE workspace configuration module for setting the date and time has a helper program which runs as root for performing actions. This is secured with polkit.

This helper takes the name of the ntp utility to run as an argument.
This allows a hacker to run any arbitrary command as root under the guise of updating the time.

An application can gain root priveledges from an admin user with either misleading information or no interaction.

On some systems the user will be shown a prompt to change the time.
However, if the system has policykit-desktop-privileges installed, the datetime helper will be invoked by an admin user without any prompts.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 79301

File Name: freebsd_pkg_dafa13a86e9b11e48ef75453ed2e2b49.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2014/11/18

Modified: 2014/12/09

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.2

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:kde-workspace, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2014/11/17

Vulnerability Publication Date: 2014/11/06

Reference Information

CVE: CVE-2014-8651